
<div style="position: relative; text-align: end;">
  <button mat-icon-button class="close-button" [mat-dialog-close]="true" >
     <i class="fa-solid fa-xmark"></i>
  </button>
</div>

<div class="row">
  <div class="col-md-12">
    <h3>Pour signaler un problème</h3>
    <form [formGroup]="myform" (submit)="send()" class="mb-0">
      <div class="row">
          <div class="mb-3">
              <label for="pwd" class="form-label">Raison : </label> 
              <select class="form-select" formControlName="reason">
                <option value="">Décrivez-nous le problème</option>
                <option value="Il y a un problème avec ma commande">Il y a un problème avec ma commande</option>
                <option value="Certaines informations sur le produit sont manquantes, inexactes ou pourraient être améliorées Des parties de cette page ne correspondent pas">Certaines informations sur le produit sont manquantes, inexactes ou pourraient être améliorées Des parties de cette page ne correspondent pas</option>
                <option value="J'ai un problème avec le prix">J'ai un problème avec le prix</option>
                <option value="Ce produit ou son contenu est offensant">Ce produit ou son contenu est offensant</option>
                <option value="Ce produit ou son contenu est illégal, dangereux ou suspect">Ce produit ou son contenu est illégal, dangereux ou suspect</option>
              </select>
          </div>
      </div>
      <div class="errormsg" *ngIf="myform.get('reason')?.touched && myform.get('reason')?.hasError('required')">
          <h4> <b>Le motif est requis</b></h4>
      </div>
       
    

      <div class="row">
          <div class="">
              <button class="btn btn-fill size-650 mb-0">Soumettre</button>
          </div>
      </div>

      <div class="comeBack_up" *ngIf="createuserRes">
          <div *ngIf="createuserRes.status == false; else loggedOut">
              <br>
              <div class="alert alert-danger"><strong>{{ createuserRes.message }}</strong></div>
          </div>
          <ng-template #loggedOut>
              <br>
              <div class="alert alert-success"><strong>{{ createuserRes.message }}</strong></div>
          </ng-template>
      </div>
  </form>
  </div>
</div>
